This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 706850 - back to advanced-search form from result page, the component can't be reserve.
back to advanced-search form from result page, the component can't be reserve.
Status: CLOSED DEFERRED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.4
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Chaobin Tang
tools-bugs
: TestOnly
Depends On:
Blocks: 707905 707908
  Show dependency treegraph
 
Reported: 2011-05-23 04:53 EDT by Danqing Li
Modified: 2014-06-18 05:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-26 01:32:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Danqing Li 2011-05-23 04:53:12 EDT
Description of problem:

search for items by component. and click the back button of browser, go back to the advanced search form. the component selected been lost. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. advanced search
2. search case by product and component
3. back to the advanced search form.

  
Actual results:

the product selection has reserved ,and component lost.

Expected results:

All selections and keywords reserved. 

Additional info:
Comment 1 Chaobin Tang 2011-05-31 04:51:42 EDT
GIT COMMIT ID: 56395a3982b3a467808b9d7177454a1a0b885bca

Product selections will be remembered back to the form page from results page, and relevant version or build or component options will be loaded automatically, however selections on them are NOT remembered in current implementation.
Comment 2 Jin Zhao 2011-06-08 01:11:34 EDT
Verify version 3.4.1 hot-fix    -->FAIL
Actual result:
Not only component but also version can not be reserved.
Comment 3 Chaobin Tang 2011-06-08 01:52:49 EDT
So it turned out to be pointless for me to add "however selections on them are NOT remembered in current implementation." ?
Comment 4 Jin Zhao 2011-06-09 03:05:22 EDT
I believed this functional is not useful for all QE. 
Such as if I want to search via different item, I must clear the reserved selections first. It's surplus Operating for me.
Comment 5 Danqing Li 2011-12-26 01:32:33 EST
Deferred to 4.0

Note You need to log in before you can comment on or make changes to this bug.